Subject: pcnet_cs: fix misuse of the equality operator.

From: Cord Walter <[email-masked]>
Date: Sun, 01 Feb 2009 00:18:40 +0100

Hi!

I just noticed that I still had a patch lying around by Komuro
<[email-masked]> from back when I was troubleshooting my
problems with the pcnet_cs/axnet_cs driver and my Netgear PCMCIA-NIC.

Looks like a simple typo to me - I tested the patch with 2.6.28 kernel
and it worked...

bye,

cord

Komuro schrieb:
 > [PATCH] pcnet_cs:fix misuse of the equality operator.
> 
> 
> pcnet_cs:
> 	fix misuse of the equality operator.
> 
>  
> Signed-off-by: Cord Walter <[email-masked]>
> Signed-off-by: Komuro <[email-masked]>
> 
> ---
> 
> --- linux-2.6.29-rc3/drivers/net/pcmcia/pcnet_cs.c.orig	2009-01-31 06:44:03.000000000 +0900
> +++ linux-2.6.29-rc3/drivers/net/pcmcia/pcnet_cs.c	2009-01-31 06:44:21.000000000 +0900
> @@ -586,7 +586,7 @@ static int pcnet_config(struct pcmcia_de
>      }
>  
>      if ((link->conf.ConfigBase == 0x03c0)
> -	&& (link->manf_id == 0x149) && (link->card_id = 0xc1ab)) {
> +	&& (link->manf_id == 0x149) && (link->card_id == 0xc1ab)) {
>  	printk(KERN_INFO "pcnet_cs: this is an AX88190 card!\n");
>  	printk(KERN_INFO "pcnet_cs: use axnet_cs instead.\n");
>  	goto failed;
> 

-- 
Cord Walter
email: [email-masked]

Weil es niemanden etwas angeht, dass ich nichts zu verbergen habe:
http://www.gnupg.org/
http://www.truecrypt.org/
...und überhaupt: http://www.FreiheitstattAngst.de